/*--------------------------------------------------------------------------*
 *	UniversalEnvVar.h		Sept.96 - A.Lefvre IRCAM	
 *
 * $Id: UniversalEnvVar.h,v 1.6 2001/12/05 13:21:49 tisseran Exp $
 *
 * $Log: UniversalEnvVar.h,v $
 * Revision 1.6  2001/12/05 13:21:49  tisseran
 * Fix problem with UniversalEnvVar.h which define for all arch an enum only
 * used on Macintosh.
 * Prevent including host_architecture when using autoconf stuff (preincluded.h)
 *
 *
 *--------------------------------------------------------------------------*/

#ifndef _UNIVERSALENVVAR_
#define _UNIVERSALENVVAR_

/*--------------------------------------------------------------------------*/
/*	Environment Variables													*/
/*--------------------------------------------------------------------------*/

/*	General
*/
#define varenv_Default			"DEFAULTWD"
#define varenv_UserHome			"USERHOME"
#define varenv_Current			"PWD"
#define varenv_Kernel			"KERNEL"
#define varenv_Analysis			"ANALYSIS"
#define varenv_Preset			"PRESET"

/*	For Files
*/
#define varenv_SvpAdmin			"SVPADMIN"
#define varenv_SvpHome			"HOME"
#define varenv_Sound			"SFDIR"
#define varenv_Marker			"MARKER"
#define varenv_Script			"SCRIPT"
#define varenv_Segmentation		"SEGMDIR"
#define varenv_Container		"CONTAINER"
#define varenv_Dicoseq			"DICOSEQ"
#define varenv_Chant			"CHANTDIR"

/*	For Files Unix or Mac
*/
#if HOST_OS_MAC | macintosh

#define varenv_Fft				"FFTDIR"
#define varenv_Fundamental		"F0DIR"
#define varenv_Peak				"PEAKDIR"
#define varenv_Additive			"ADDIDIR"
#define varenv_Partial			"ADDIDIR"
#define varenv_SpecEnv			"SPECENVDIR"

#else

#define varenv_Fft				"DATADIR"
#define varenv_Fundamental		"DATADIR"
#define varenv_Peak				"DATADIR"
#define varenv_Additive			"DATADIR"
#define varenv_Partial			"DATADIR"
#define varenv_SpecEnv			"DATADIR"

#endif

/*--------------------------------------------------------------------------*/
/*	File Extensions															*/
/*--------------------------------------------------------------------------*/

/*	Misc
*/
#define extens_Temp				"temp"
#define extens_Synth			"synth"

/*	For File Types
*/
#define extens_Ascii			"ascii"
#define extens_Bin				"bin"
#define extens_Sdif				"sdif"

/*	For Sound Files
*/
#define extens_SndFloat			"floatSnd"
#define extens_SndAiff			"aiff"
#define extens_SndAifc			"aifc"
#define extens_SndSdII			"sdII"

/*	For Files
*/
#define extens_aFft				"FFT"
#define extens_bFft				"fft"
#define extens_aFundamental		"F0"
#define extens_bFundamental		"f0"
#define extens_aPeak			"PIC"
#define extens_bPeak			"pic"
#define extens_aFadePar			"FAD"
#define extens_bFadePar			"fad"
#define extens_aHmm				"TRC"
#define extens_bHmm				"trc"
#define extens_aCepsCoef		"CC"
#define extens_bCepsCoef		"cc"

/*	For Diphone and Segmentation Files
*/
#define extens_Marker			"mark"
#define extens_Script			"script"
#define extens_Segm				"segm"
#define extens_Container		"cont"
#define extens_Dictionary		"dico"
#define extens_Sequence			"seq"

/*	For Files Unix or Mac
*/
#if HOST_OS_MAC | macintosh

#define extens_aPartials		"ADD"
#define extens_bPartials		"add"

#else

#define extens_aPartials		"format"
#define extens_bPartials		"fmt"

#endif

/*--------------------------------------------------------------------------*/
/*	Macintosh File Types Only												*/
/*--------------------------------------------------------------------------*/

#if HOST_OS_MAC | macintosh

enum
{	FileCreator_TeachText		= FOUR_CHAR_CODE('ttxt'),
	FileCreator_BBEdit			= FOUR_CHAR_CODE('R*ch'),
	FileCreator_Sdif			= FOUR_CHAR_CODE('KERa'),
	FileCreator_Kernel			= FOUR_CHAR_CODE('KERN'),
	FileCreator_SoundDesigner	= FOUR_CHAR_CODE('Sd2a')
};

enum
{	FileType_Application		= FOUR_CHAR_CODE('APPL'),
	FileType_Text				= FOUR_CHAR_CODE('TEXT'),
	FileType_Bin				= FOUR_CHAR_CODE('KBIN'),
	FileType_Sdif				= FOUR_CHAR_CODE('SDIF'),
	FileType_SndFloat			= FOUR_CHAR_CODE('FLOT'),
	FileType_SndAiff			= FOUR_CHAR_CODE('AIFF'),
	FileType_SndAifc			= FOUR_CHAR_CODE('AIFC'),
	FileType_SndSdII			= FOUR_CHAR_CODE('Sd2f')
};


/*--------------------------------------------------------------------------*/
/*	File format version chunks												*/
/*	Warning: Values of vers_Num0 have to be < vers_Num1 <...< vers_Current	*/
/*--------------------------------------------------------------------------*/

enum
{	vers_Num0					= FOUR_CHAR_CODE('x000'),
	vers_Num1					= FOUR_CHAR_CODE('x001'),
	vers_Num2					= FOUR_CHAR_CODE('x002')
/*	vers_Num3					= etc...				*/
};

#endif

/*--------------------------------------------------------------------------*/
/*	Misc																	*/
/*--------------------------------------------------------------------------*/

#if HOST_OS_MAC | macintosh
#define kPathSepChar	':'
#define kPathSepStr		":"
#else
#define kPathSepChar	'/'
#define kPathSepStr		"/"
#endif

#define kEnvVarKeyChar	'$'
#define kEnvVarKeyStr	"$"

/*--------------------------------------------------------------------------*/

#endif /*_UNIVERSALENVVAR_*/



